 void CheckMaxMinUserBrightness(){
      // -----------------------------------------------------------------------------------------------  
    // DAY - NIGHT STATUS
    if (CurrentTime_SOD < DayTime_SOD){
      CurrentDNState = NIGHTMODE;
    }
    else if (CurrentTime_SOD > DayTime_SOD && CurrentTime_SOD < NightTime_SOD){
      CurrentDNState = DAYMODE;
    }
    else if (CurrentTime_SOD > NightTime_SOD){
      CurrentDNState = NIGHTMODE;
    }
    switch (CurrentDNState){    
    case DAYMODE:
      MaxUserBrightness_Percent = DayModeMaxBrightness_Percent;
      MinUserBrightness_Percent = 0;
      UserOnTime_s = MaxDayUserOnTime_SOD;
      break;
    case NIGHTMODE:
      MaxUserBrightness_Percent = NightModeMaxBrightness_Percent;
      MinUserBrightness_Percent = NightModeMinBrightness_Percent;
      UserOnTime_s = MaxNightUserOnTime_SOD;
      break;  
    }  
  }


